# -*- makefile -*-

default_CONFIG += CONFIG_LWIP_OS_PORT=x

ifeq ($(CONFIG_LWIP_OS_PORT),)
CONFIG_LWIP_OS_PORT = sysless
endif

SUBDIRS = $(CONFIG_LWIP_OS_PORT)

nobase_include_HEADERS += lwipopts.h

config_include_HEADERS = lwipconfig.h

# Platform specific locking
lwipconfig_DEFINES += CONFIG_LWIP_NO_SYS
lwipconfig_DEFINES += CONFIG_LWIP_NO_SYS_NO_TIMERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TIMERS_CUSTOM
lwipconfig_DEFINES += CONFIG_LWIP_MEMCPY
lwipconfig_DEFINES += CONFIG_LWIP_SMEMCPY
lwipconfig_DEFINES += CONFIG_LWIP_MEMMOVE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MPU_COMPATIBLE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCPIP_CORE_LOCKING
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCPIP_CORE_LOCKING_INPUT
lwipconfig_DEFINES += CONFIG_LWIP_SYS_LIGHTWEIGHT_PROT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ASSERT_CORE_LOCKED
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MARK_TCPIP_THREAD
# Memory options
lwipconfig_DEFINES += CONFIG_LWIP_MEM_LIBC_MALLOC
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_MEM_MALLOC
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_MEM_INIT
lwipconfig_DEFINES += CONFIG_LWIP_MEM_ALIGNMENT
lwipconfig_DEFINES += CONFIG_LWIP_MEM_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_OVERFLOW_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_SANITY_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_MEM_OVERFLOW_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_MEM_SANITY_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_MEM_USE_POOLS
lwipconfig_DEFINES += CONFIG_LWIP_MEM_USE_POOLS_TRY_BIGGER_POOL
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_USE_CUSTOM_POOLS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ALLOW_MEM_FREE_FROM_OTHER_CONTEXT
# Internal Memory Pool Sizes
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PBUF
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_RAW_PCB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_UDP_PCB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_TCP_PCB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_TCP_PCB_LISTEN
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_TCP_SEG
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_ALTCP_PCB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_REASSDATA
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_FRAG_PBUF
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_ARP_QUEUE
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_IGMP_GROUP
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_SYS_TIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_NETBUF
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_NETCONN
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_SELECT_CB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_TCPIP_MSG_API
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_TCPIP_MSG_INPKT
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_NETDB
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_LOCALHOSTLIST
lwipconfig_DEFINES += CONFIG_LWIP_PBUF_POOL_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_API_MSG
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_DNS_API_MSG
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_SOCKET_SETGETSOCKOPT_DATA
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_NETIFAPI_MSG
# ARP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ARP
lwipconfig_DEFINES += CONFIG_LWIP_ARP_TABLE_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_ARP_MAXAGE
lwipconfig_DEFINES += CONFIG_LWIP_ARP_QUEUEING
lwipconfig_DEFINES += CONFIG_LWIP_ARP_QUEUE_LEN
lwipconfig_DEFINES += CONFIG_LWIP_ETHARP_SUPPORT_VLAN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ETHERNET
lwipconfig_DEFINES += CONFIG_LWIP_ETH_PAD_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_ETHARP_SUPPORT_STATIC_ENTRIES
lwipconfig_DEFINES += CONFIG_LWIP_ETHARP_TABLE_MATCH_NETIF
# IP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV4
lwipconfig_DEFINES += CONFIG_LWIP_IP_FORWARD
lwipconfig_DEFINES += CONFIG_LWIP_IP_REASSEMBLY
lwipconfig_DEFINES += CONFIG_LWIP_IP_FRAG
lwipconfig_DEFINES += CONFIG_LWIP_IP_OPTIONS_ALLOWED
lwipconfig_DEFINES += CONFIG_LWIP_IP_REASS_MAXAGE
lwipconfig_DEFINES += CONFIG_LWIP_IP_REASS_MAX_PBUFS
lwipconfig_DEFINES += CONFIG_LWIP_IP_DEFAULT_TTL
lwipconfig_DEFINES += CONFIG_LWIP_IP_SOF_BROADCAST
lwipconfig_DEFINES += CONFIG_LWIP_IP_SOF_BROADCAST_RECV
lwipconfig_DEFINES += CONFIG_LWIP_IP_FORWARD_ALLOW_TX_ON_RX_NETIF
# ICMP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ICMP
lwipconfig_DEFINES += CONFIG_LWIP_ICMP_TTL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_BROADCAST_PING
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MULTICAST_PING
# RAW options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_RAW
lwipconfig_DEFINES += CONFIG_LWIP_RAW_TTL
# DHCP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP
lwipconfig_DEFINES += CONFIG_LWIP_DHCP_DOES_ARP_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_BOOTP_FILE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_GET_NTP_SRV
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_MAX_NTP_SERVERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_MAX_DNS_SERVERS
# AUTOIP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_AUTOIP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_AUTOIP_COOP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP_AUTOIP_COOP_TRIES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MIB2_CALLBACKS
# Multicast/IGMP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IGMP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MULTICAST_TX_OPTIONS
# DNS options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DNS
lwipconfig_DEFINES += CONFIG_LWIP_DNS_TABLE_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_DNS_MAX_NAME_LENGTH
lwipconfig_DEFINES += CONFIG_LWIP_DNS_MAX_SERVERS
lwipconfig_DEFINES += CONFIG_LWIP_DNS_MAX_RETRIES
lwipconfig_DEFINES += CONFIG_LWIP_DNS_DOES_NAME_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DNS_SECURE
lwipconfig_DEFINES += CONFIG_LWIP_DNS_LOCAL_HOSTLIST
lwipconfig_DEFINES += CONFIG_LWIP_DNS_LOCAL_HOSTLIST_IS_DYNAMIC
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DNS_SUPPORT_MDNS_QUERIES
# UDP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_UDP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_UDPLITE
lwipconfig_DEFINES += CONFIG_LWIP_UDP_TTL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETBUF_RECVINFO
# TCP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP
lwipconfig_DEFINES += CONFIG_LWIP_TCP_TTL
lwipconfig_DEFINES += CONFIG_LWIP_TCP_WND
lwipconfig_DEFINES += CONFIG_LWIP_TCP_MAXRTX
lwipconfig_DEFINES += CONFIG_LWIP_TCP_SYNMAXRTX
lwipconfig_DEFINES += CONFIG_LWIP_TCP_QUEUE_OOSEQ
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_SACK_OUT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_MAX_SACK_NUM
lwipconfig_DEFINES += CONFIG_LWIP_TCP_MSS
lwipconfig_DEFINES += CONFIG_LWIP_TCP_CALCULATE_EFF_SEND_MSS
lwipconfig_DEFINES += CONFIG_LWIP_TCP_SND_BUF
lwipconfig_DEFINES += CONFIG_LWIP_TCP_SND_QUEUELEN
lwipconfig_DEFINES += CONFIG_LWIP_TCP_SNDLOWAT
lwipconfig_DEFINES += CONFIG_LWIP_TCP_SNDQUEUELOWAT
lwipconfig_DEFINES += CONFIG_LWIP_TCP_OOSEQ_MAX_BYTES
lwipconfig_DEFINES += CONFIG_LWIP_TCP_OOSEQ_MAX_PBUFS
lwipconfig_DEFINES += CONFIG_LWIP_TCP_LISTEN_BACKLOG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_DEFAULT_LISTEN_BACKLOG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_OVERSIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_TIMESTAMPS
lwipconfig_DEFINES += CONFIG_LWIP_TCP_WND_UPDATE_THRESHOLD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_EVENT_API
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_CALLBACK_API
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_WND_SCALE
lwipconfig_DEFINES += CONFIG_LWIP_TCP_RCV_SCALE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_PCB_NUM_EXT_ARGS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ALTCP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ALTCP_TLS
# Pbuf options
lwipconfig_DEFINES += CONFIG_LWIP_PBUF_LINK_HLEN
lwipconfig_DEFINES += CONFIG_LWIP_PBUF_LINK_ENCAPSULATION_HLEN
lwipconfig_DEFINES += CONFIG_LWIP_PBUF_POOL_BUFSIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_PBUF_REF_T
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SINGLE_NETIF
# Network Interfaces options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_HOSTNAME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_API
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_STATUS_CALLBACK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_EXT_STATUS_CALLBACK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_LINK_CALLBACK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_REMOVE_CALLBACK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_HWADDRHINT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_TX_SINGLE_PBUF
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NUM_NETIF_CLIENT_DATA
# LOOPIF options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HAVE_LOOPIF
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_LOOPIF_MULTICAST
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_LOOPBACK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_LOOPBACK_MAX_PBUFS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETIF_LOOPBACK_MULTITHREADING
# Thread options
lwipconfig_DEFINES += CONFIG_LWIP_TCPIP_THREAD_NAME
lwipconfig_DEFINES += CONFIG_LWIP_TCPIP_THREAD_STACKSIZE
lwipconfig_DEFINES += CONFIG_LWIP_TCPIP_THREAD_PRIO
lwipconfig_DEFINES += CONFIG_LWIP_TCPIP_MBOX_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCPIP_THREAD_ALIVE
lwipconfig_DEFINES += CONFIG_LWIP_SLIPIF_THREAD_NAME
lwipconfig_DEFINES += CONFIG_LWIP_SLIPIF_THREAD_STACKSIZE
lwipconfig_DEFINES += CONFIG_LWIP_SLIPIF_THREAD_PRIO
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_THREAD_NAME
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_THREAD_STACKSIZE
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_THREAD_PRIO
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_RAW_RECVMBOX_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_UDP_RECVMBOX_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_TCP_RECVMBOX_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_DEFAULT_ACCEPTMBOX_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETCONN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCPIP_TIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETCONN_SEM_PER_THREAD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETCONN_FULLDUPLEX
# Socket options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SOCKET
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_COMPAT_SOCKETS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_POSIX_SOCKETS_IO_NAMES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SOCKET_OFFSET
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_KEEPALIVE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SO_SNDTIMEO
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SO_RCVTIMEO
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SO_SNDRCVTIMEO_NONSTANDARD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SO_RCVBUF
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SO_LINGER
lwipconfig_DEFINES += CONFIG_LWIP_RECV_BUFSIZE_DEFAULT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TCP_CLOSE_TIMEOUT_MS_DEFAULT
lwipconfig_DEFINES += CONFIG_LWIP_SO_REUSE
lwipconfig_DEFINES += CONFIG_LWIP_SO_REUSE_RXTOALL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_FIONREAD_LINUXMODE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SOCKET_SELECT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SOCKET_POLL
# Statistics options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_STATS_DISPLAY
lwipconfig_DEFINES += CONFIG_LWIP_LINK_STATS
lwipconfig_DEFINES += CONFIG_LWIP_ETHARP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_IP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_IPFRAG_STATS
lwipconfig_DEFINES += CONFIG_LWIP_ICMP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_IGMP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_UDP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_TCP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_MEM_STATS
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_STATS
lwipconfig_DEFINES += CONFIG_LWIP_SYS_STATS
lwipconfig_DEFINES += CONFIG_LWIP_IP6_STATS
lwipconfig_DEFINES += CONFIG_LWIP_ICMP6_STATS
lwipconfig_DEFINES += CONFIG_LWIP_IP6_FRAG_STATS
lwipconfig_DEFINES += CONFIG_LWIP_MLD6_STATS
lwipconfig_DEFINES += CONFIG_LWIP_ND6_STATS
lwipconfig_DEFINES += CONFIG_LWIP_MIB2_STATS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_CHECKSUM_CTRL_PER_NETIF
# Checksum options
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_GEN_IP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_GEN_UDP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_GEN_TCP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_GEN_ICMP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_GEN_ICMP6
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_CHECK_IP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_CHECK_UDP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_CHECK_TCP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_CHECK_ICMP
lwipconfig_DEFINES += CONFIG_LWIP_CHECKSUM_CHECK_ICMP6
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_CHECKSUM_ON_COPY
# PPP options
lwipconfig_DEFINES += CONFIG_LWIP_PPP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPPOE_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPPOL2TP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPPOL2TP_AUTH_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPPOS_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_PPP_API
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PPP_PCB
lwipconfig_DEFINES += CONFIG_LWIP_PPP_NUM_TIMEOUTS_PER_PCB
lwipconfig_DEFINES += CONFIG_LWIP_PPP_NUM_TIMEOUTS
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PPPOS_INTERFACES
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PPPOE_INTERFACES
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PPPOL2TP_INTERFACES
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_PPP_API_MSG
lwipconfig_DEFINES += CONFIG_LWIP_PPP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_PPP_INPROC_IRQ_SAFE
lwipconfig_DEFINES += CONFIG_LWIP_PRINTPKT_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPP_IPV4_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPP_IPV6_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPP_NOTIFY_PHASE
lwipconfig_DEFINES += CONFIG_LWIP_PPP_USE_PBUF_RAM
lwipconfig_DEFINES += CONFIG_LWIP_PPP_FCS_TABLE
lwipconfig_DEFINES += CONFIG_LWIP_PAP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_CHAP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_MSCHAP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_EAP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_CCP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_MPPE_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_CBCP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_ECP_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_DEMAND_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_LQR_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPP_SERVER
lwipconfig_DEFINES += CONFIG_LWIP_PPP_OUR_NAME
lwipconfig_DEFINES += CONFIG_LWIP_VJ_SUPPORT
lwipconfig_DEFINES += CONFIG_LWIP_PPP_MD5_RANDM
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_USE_EXTERNAL_POLARSSL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_USE_EXTERNAL_MBEDTLS
lwipconfig_DEFINES += CONFIG_LWIP_FSM_DEFTIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_FSM_DEFMAXTERMREQS
lwipconfig_DEFINES += CONFIG_LWIP_FSM_DEFMAXCONFREQS
lwipconfig_DEFINES += CONFIG_LWIP_FSM_DEFMAXNAKLOOPS
lwipconfig_DEFINES += CONFIG_LWIP_UPAP_DEFTIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_UPAP_DEFTRANSMITS
lwipconfig_DEFINES += CONFIG_LWIP_UPAP_DEFREQTIME
lwipconfig_DEFINES += CONFIG_LWIP_CHAP_DEFTIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_CHAP_DEFTRANSMITS
lwipconfig_DEFINES += CONFIG_LWIP_CHAP_DEFRECHALLENGETIME
lwipconfig_DEFINES += CONFIG_LWIP_EAP_DEFREQTIME
lwipconfig_DEFINES += CONFIG_LWIP_EAP_DEFALLOWREQ
lwipconfig_DEFINES += CONFIG_LWIP_EAP_DEFTIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_EAP_DEFTRANSMITS
lwipconfig_DEFINES += CONFIG_LWIP_LCP_DEFLOOPBACKFAIL
lwipconfig_DEFINES += CONFIG_LWIP_LCP_ECHOINTERVAL
lwipconfig_DEFINES += CONFIG_LWIP_LCP_MAXECHOFAILS
lwipconfig_DEFINES += CONFIG_LWIP_PPP_MAXIDLEFLAG
lwipconfig_DEFINES += CONFIG_LWIP_PPP_MRU
lwipconfig_DEFINES += CONFIG_LWIP_PPP_DEFMRU
lwipconfig_DEFINES += CONFIG_LWIP_PPP_MAXMRU
lwipconfig_DEFINES += CONFIG_LWIP_PPP_MINMRU
lwipconfig_DEFINES += CONFIG_LWIP_PPPOL2TP_DEFMRU
lwipconfig_DEFINES += CONFIG_LWIP_MAXNAMELEN
lwipconfig_DEFINES += CONFIG_LWIP_MAXSECRETLEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_INCLUDED_POLARSSL_MD5
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_INCLUDED_POLARSSL_MD4
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_INCLUDED_POLARSSL_SHA1
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_INCLUDED_POLARSSL_DES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_INCLUDED_POLARSSL_ARC4
# IPv6 options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6
lwipconfig_DEFINES += CONFIG_LWIP_IPV6_REASS_MAXAGE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_SCOPES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_SCOPES_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_NUM_ADDRESSES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_FORWARD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_FRAG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_REASS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_SEND_ROUTER_SOLICIT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_AUTOCONFIG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_ADDRESS_LIFETIMES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_DUP_DETECT_ATTEMPTS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ICMP6
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ICMP6_DATASIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ICMP6_HL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_MLD
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_MLD6_GROUP
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_QUEUEING
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_NUM_ND6_QUEUE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_NUM_NEIGHBORS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_NUM_DESTINATIONS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_NUM_PREFIXES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_NUM_ROUTERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_MAX_MULTICAST_SOLICIT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_MAX_UNICAST_SOLICIT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_MAX_ANYCAST_DELAY_TIME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_MAX_NEIGHBOR_ADVERTISEMENT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_REACHABLE_TIME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_RETRANS_TIMER
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_DELAY_FIRST_PROBE_TIME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_ALLOW_RA_UPDATES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_TCP_REACHABILITY_HINTS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ND6_RDNSS_MAX_DNS_SERVERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_DHCP6
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_DHCP6_STATEFUL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_IPV6_DHCP6_STATELESS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP6_GET_NTP_SRV
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP6_MAX_NTP_SERVERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DHCP6_MAX_DNS_SERVERS
# Hook options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_FILENAME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_TCP_ISN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_TCP_INPACKET_PCB
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_TCP_OUT_TCPOPT_LENGTH
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_TCP_OUT_ADD_TCPOPTS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP4_INPUT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP4_ROUTE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP4_ROUTE_SRC
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP4_CANFORWARD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_ETHARP_GET_GW
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP6_INPUT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_IP6_ROUTE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_ND6_GET_GW
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_VLAN_CHECK
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_VLAN_SET
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_MEMP_AVAILABLE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_UNKNOWN_ETH_PROTOCOL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_DHCP_APPEND_OPTIONS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_DHCP_PARSE_OPTION
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_DHCP6_APPEND_OPTIONS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_SOCKETS_SETSOCKOPT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_SOCKETS_GETSOCKOPT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HOOK_NETCONN_EXTERNAL_RESOLVE
# Debugging options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DBG_MIN_LEVEL
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_DBG_TYPES_ON
lwipconfig_DEFINES += CONFIG_LWIP_ETHARP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_NETIF_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_PBUF_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_API_LIB_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_API_MSG_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SOCKETS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_ICMP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_IGMP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_INET_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_IP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_IP_REASS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_RAW_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_MEM_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_MEMP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SYS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TIMERS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_INPUT_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_FR_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_RTO_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_CWND_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_WND_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_OUTPUT_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_RST_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCP_QLEN_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_UDP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TCPIP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SLIP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_DHCP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_AUTOIP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_DNS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_IP6_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_DHCP6_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_TESTMODE
# Performance tracking options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_PERF
# APP iPerf server
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_IPERF
# APP HTTP client
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_HTTPC
# APP HTTP server
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_HTTPD
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_CGI
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_CGI_SSI
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SSI
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SSI_RAW
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SSI_BY_FILE_EXTENSION
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SUPPORT_POST
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_MAX_CGI_PARAMETERS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SSI_MULTIPART
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_MAX_TAG_NAME_LEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_MAX_TAG_INSERT_LEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_POST_MANUAL_WND
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_SERVER_AGENT
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_DYNAMIC_HEADERS
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_USE_MEM_POOL
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_SERVER_PORT
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_SERVER_PORT_HTTPS
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_ENABLE_HTTPS
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_MAX_RETRIES
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_POLL_INTERVAL
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_TCP_PRIO
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_TIMING
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_DEBUG_TIMING
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SUPPORT_EXTSTATUS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SUPPORT_V09
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SUPPORT_11_KEEPALIVE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SUPPORT_REQUESTLIST
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_REQ_QUEUELEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_REQ_BUFSIZE
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_MAX_REQ_LENGTH
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_MAX_REQUEST_URI_LEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_POST_MAX_RESPONSE_URI_LEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_SSI_INCLUDE_TAG
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_ABORT_ON_CLOSE_MEM_ERROR
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_KILL_OLD_ON_CONNECTIONS_EXCEEDED
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_OMIT_HEADER_FOR_EXTENSIONLESS_URI
lwipconfig_DEFINES += CONFIG_LWIP_HTTP_IS_TAG_VOLATILE
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_LIMIT_SENDING_TO_2MSS
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_MAX_WRITE_LEN
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_CUSTOM_FILES
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_DYNAMIC_FILE_READ
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_FILE_STATE
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_PRECALCULATED_CHECKSUM
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_HTTPD_FS_ASYNC_READ
lwipconfig_DEFINES += CONFIG_LWIP_HTTPD_FSDATA_FILE
# SNMP options
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SNMP
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_USE_NETCONN
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_USE_RAW
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_STACK_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_THREAD_PRIO
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_TRAP_DESTINATIONS
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_SAFE_REQUESTS
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MAX_OCTET_STRING_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MAX_OBJ_ID_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MIN_VALUE_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MAX_VALUE_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_COMMUNITY
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_COMMUNITY_WRITE
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_COMMUNITY_TRAP
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MAX_COMMUNITY_STR_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_ENTERPRISE_OID
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_DEVICE_ENTERPRISE_OID
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_DEVICE_ENTERPRISE_OID_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_MIB_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_MIB2
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_MIB2_SYSDESC
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_MIB2_SYSNAME
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_MIB2_SYSCONTACT
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_MIB2_SYSLOCATION
lwipconfig_DEFINES += CONFIG_LWIP_SNMP_LWIP_GETBULK_MAX_REPETITIONS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SNMP_V3
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SNMP_V3_MBEDTLS
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SNMP_V3_CRYPTO
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_SNMP_CONFIGURE_VERSIONS
# APP MQTT client
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_MQTT
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_OUTPUT_RINGBUF_SIZE
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_VAR_HEADER_BUFFER_LEN
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_REQ_MAX_IN_FLIGHT
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_CYCLIC_TIMER_INTERVAL
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_REQ_TIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_MQTT_CONNECT_TIMOUT
# APP TFTP server
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_TFTP
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_PORT
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_TIMEOUT_MSECS
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_MAX_RETRIES
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_TIMER_MSECS
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_MAX_FILENAME_LEN
lwipconfig_DEFINES += CONFIG_LWIP_TFTP_MAX_MODE_LEN
# APP MDNS responder
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_MDNS_RESPONDER
lwipconfig_DEFINES += CONFIG_LWIP_MDNS_MAX_SERVICES
lwipconfig_DEFINES += CONFIG_LWIP_MDNS_RESP_USENETIF_EXTCALLBACK
lwipconfig_DEFINES += CONFIG_LWIP_MDNS_DEBUG
# APP SNTP client
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_SNTP
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_SET_SYSTEM_TIME
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_MAX_SERVERS
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_GET_SERVERS_FROM_DHCP
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_SERVER_ADDRESS
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_SERVER_DNS
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_PORT
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_CHECK_RESPONSE
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_COMP_ROUNDTRIP
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_STARTUP_DELAY
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_STARTUP_DELAY
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_STARTUP_DELAY_FUNC
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_RECV_TIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_UPDATE_DELAY
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_GET_SYSTEM_TIME
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_RETRY_TIMEOUT
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_RETRY_TIMEOUT_MAX
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_RETRY_TIMEOUT_EXP
lwipconfig_DEFINES += CONFIG_LWIP_SNTP_MONITOR_SERVER_REACHABILITY
# Application Layered TCP/TLS connection API
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_ALTCP_TLS_MBEDTLS
lwipconfig_DEFINES += CONFIG_LWIP_ALTCP_MBEDTLS_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_ALTCP_MBEDTLS_SESSION_CACHE_TIMEOUT_SECONDS
# APP SMTP client module
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_SMTP
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_BODYDH
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_DEBUG
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_MAX_SERVERNAME_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_MAX_USERNAME_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_MAX_PASS_LEN
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_COPY_AUTHDATA
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_CHECK_DATA
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_SUPPORT_AUTH_PLAIN
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_SUPPORT_AUTH_LOGIN
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_STATE_MALLOC
lwipconfig_DEFINES += CONFIG_LWIP_SMTP_STATE_FREE
# APP NetBIOS name service responder
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_APP_NETBIOSNS
lwipconfig_DEFINES += CONFIG_LWIP_NETBIOS_LWIP_NAME
lwipconfig_DEFINES += CONFIG_LWIP_LWIP_NETBIOS_RESPOND_NAME_QUERY

# FreeRTOS port specific options
lwipconfig_DEFINES += CONFIG_LWIP_WITHOUT_FREE
